> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Retrieve information about a particular dataset > Retrieve information about a particular dataset. Note that credentials are treated as secrets and are excluded from the response here. ## OpenAPI ````json GET /v1/datasets/{dataset-id} { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/datasets/{dataset-id}": { "get": { "tags": [ "Dataset" ], "summary": "Retrieve information about a particular dataset.", "description": "Retrieve information about a particular dataset. Note that credentials are treated as secrets and are excluded from the response here.", "operationId": "getDataset", "parameters": [ { "$ref": "#/components/parameters/DatasetId" } ], "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Dataset" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "parameters": { "DatasetId": { "name": "dataset-id", "in": "path", "description": "UUID of a dataset.", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "schemas": { "Dataset": { "required": [ "dataset_id", "owner", "creator_id", "created_at", "updated_at", "name", "description", "location", "labels", "credentials", "group_id" ], "type": "object", "properties": { "dataset_id": { "type": "string", "format": "uuid" }, "name": { "type": "string" }, "owner": { "type": "string", "format": "uuid" }, "creator_id": { "type": "string", "format": "uuid" }, "group_id": { "type": "string", "format": "uuid" }, "created_at": { "type": "integer", "description": "Dataset creation time (seconds since epoch).", "format": "int64" }, "updated_at": { "type": "integer", "description": "Last update UNIX timestamp (seconds since epoch).", "format": "int64" }, "description": { "type": "string" }, "location": { "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" } }, "credentials": { "$ref": "#/components/schemas/DatasetCredentials" }, "metadata": { "$ref": "#/components/schemas/DatasetMetadata" }, "last_workflow_output": { "type": "integer", "format": "int64" }, "long_description": { "type": "string", "description": "A github-flavored markdown-formatted string that will be rendered in UI for viewing a summary of this dataset, limited to 16KiB." } }, "description": "" }, "DatasetCredentials": { "type": "object", "properties": { "sdkms": { "$ref": "#/components/schemas/SdkmsCredentials" } }, "description": "" }, "DatasetMetadata": { "type": "object", "description": "Metadata about the dataset." }, "SdkmsCredentials": { "required": [ "credentials_url", "credentials_key_name" ], "type": "object", "properties": { "credentials_url": { "type": "string" }, "credentials_key_name": { "type": "string" } }, "description": "" } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````